package com.tcctlo.common.config;

import org.apache.ibatis.reflection.MetaObject;
import org.springframework.stereotype.Component;

import java.time.LocalDateTime;
import java.util.Date;

@Component
public class MetaObjectHandler implements com.baomidou.mybatisplus.core.handlers.MetaObjectHandler {
    @Override
    public void insertFill(MetaObject metaObject) {

        this.setFieldValByName("createTime", Date.from(LocalDateTime.now().toInstant(java.time.ZoneOffset.of("+8"))), metaObject);
        this.setFieldValByName("updateTime", Date.from(LocalDateTime.now().toInstant(java.time.ZoneOffset.of("+8"))), metaObject);
    }

    @Override
    public void updateFill(MetaObject metaObject) {
        this.setFieldValByName("updateTime", Date.from(LocalDateTime.now().toInstant(java.time.ZoneOffset.of("+8"))), metaObject);
    }
}
