package com.tcctlo.law.service;

import com.tcctlo.law.entity.CollectionRecord;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

/**
 * <p>
 * 收款记录表 服务类
 * </p>
 *
 * @author 张世琪
 * @since 2025-02-06
 */
public interface ICollectionRecordService extends IService<CollectionRecord>{
        
    /**
    * <p>
    * 分页列表查询
    * </p>
    * @param pageNo
    * @param pageSize
    * @return
    */
    Page<CollectionRecord> list(Integer pageNo, Integer pageSize);
        
    /**
    * <p>
    * 详情接口
    * </p>
    * @param id
    * @return
    */
    CollectionRecord getById(Long id);

    /**
    * <p>
    * 新增接口
    * </p>
    * @param collectionRecord
    * @return
    */
    Integer create(CollectionRecord collectionRecord);
        
        
    /**
    * <p>
    * 删除接口
    * </p>
    * @param id
    * @return
    */
    Integer delete(Long id);

    /**
    * <p>
    * 更新接口
    * </p>
    * @param collectionRecord
    * @return
    */
    Integer update(CollectionRecord collectionRecord);
}
