package com.tcctlo.law.mapper;

import com.tcctlo.law.entity.ContractTemplate;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 合同模板 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2025-02-18
 */
public interface ContractTemplateMapper extends BaseMapper<ContractTemplate> {

    /**
     * 批量删除
     * @param ids ids
     * @return 结果集
     */
    Integer deleteTemplate(@Param("ids") List<Long> ids);
}
