package com.tcctlo.law.service;

import com.tcctlo.law.entity.ContractTemplate;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import java.io.FileNotFoundException;
import java.util.Map;

/**
 * <p>
 * 合同模板 服务类
 * </p>
 *
 * @author
 * @since 2025-02-18
 */
public interface IContractTemplateService {

    /**
     * <p>
     * 分页列表查询
     * </p>
     * @param pageNo
     * @param pageSize
     * @return
     */
    /*Page<ContractTemplate> list(Integer pageNo, Integer pageSize);*/


    /**
     * <p>
     * 分页列表查询
     * </p>
     *
     * @param pageNo
     * @param pageSize
     * @return
     */
    Page<ContractTemplate> list(Map<String, Object> params);

    /**
     * <p>
     * 详情接口
     * </p>
     *
     * @param id
     * @return
     */
    ContractTemplate getById(Long id);

    /**
     * <p>
     * 新增接口
     * </p>
     *
     * @param contractTemplate
     * @return
     */
    Integer create(ContractTemplate contractTemplate);


    /**
     * <p>
     * 删除接口
     * </p>
     *
     * @param id
     * @return
     */
    Integer delete(Long id);

    /**
     * <p>
     * 更新接口
     * </p>
     *
     * @param contractTemplate
     * @return
     */
    Integer update(ContractTemplate contractTemplate);

    /**
     * 批量删除
     *
     * @param ids ids
     * @return 结果集
     */
    Integer deleteTemplate(Map<String, String> param);

    /**
     * 根据word模板生成word
     * @param id 模板id
     */
    void getWord(Long id) throws Exception;
}
